Loading...
Searching...
No Matches
memp_priv.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/mem.h"`
`#include "lwip/priv/mem_priv.h"`

## Data Structures

struct | memp_desc

## Functions

void | memp_init_pool (const struct memp_desc *desc)
void * | memp_malloc_pool (const struct memp_desc *desc)
void | memp_free_pool (const struct memp_desc *desc, void *mem)

## Detailed Description

memory pools lwIP internal implementations (do not use in application code)

## Function Documentation

## memp_free_pool()

void memp_free_pool | ( | const struct memp_desc * | desc,
|  | void * | mem )

Put a custom pool element back into its pool.

Parameters

  desc | the pool where to put mem
  mem | the memp element to free

## memp_init_pool()

void memp_init_pool | ( | const struct memp_desc * | desc | ) |

Initialize custom memory pool. Related functions: memp_malloc_pool, memp_free_pool

Parameters

  desc | pool to initialize

## memp_malloc_pool()

void * memp_malloc_pool | ( | const struct memp_desc * | desc | ) |

Get an element from a custom pool.

Parameters

  desc | the pool to get an element from

Returns
  a pointer to the allocated memory or a NULL pointer on error